Test Template

My templates are created with Adobe Photoshop CS5 and are recommended to use with the most current version of Photoshop. They should be compatible with lower versions of Photoshop CS and newer versions of Elements. However, I am not able to verify their compatibility with PSE or other programs. You may download the template below by clicking on the image to test compatibility with your version of Photoshop.

Please purchase at your own risk. All of my templates are meant for at least an intermediate user of layers and clipping masks in Photoshop.